import dotenv from 'dotenv';
import path from 'path';

const configPath = process.env.NODE_ENV === 'development' ? '.env.alipay' : '.env.alipay';

const env = dotenv.config({
  path: path.resolve(process.cwd(), configPath),
}).parsed;

const appId = env.ALIPAY_APP_ID;
const privateKey = env.ALIPAY_PRIVATE_KEY;
const appPublicCert = env.ALIPAY_APP_PUBLIC_CERT;
const alipayRootCert = env.ALIPAY_ROOT_CERT;
const alipayPublicCert = env.ALIPAY_PUBLIC_CERT;

export const payAlipayConfig = {
  appId,
  privateKey,
  appPublicCert,
  alipayRootCert,
  alipayPublicCert,
};
const showConfig = () => {
  console.log(payAlipayConfig);
};
// showConfig();
