import dotenv from 'dotenv';
import path from 'path';

const configPath = process.env.NODE_ENV === 'development' ? '.env.wx' : '.env.wx';

const env = dotenv.config({
  path: path.resolve(process.cwd(), configPath),
}).parsed;

// WECHAT_APP_ID=
// WECHAT_APP_SECRET=
// WECHAT_MCH_ID=
// WECHAT_PUBLIC_CERT=
// WECHAT_PRIVATE_KEY=

export const payWechatConfig = {
  appid: env.WECHAT_APP_ID!,
  mchid: env.WECHAT_MCH_ID!,
  publicKey: Buffer.from(env.WECHAT_PUBLIC_CERT!),
  privateKey: Buffer.from(env.WECHAT_PRIVATE_KEY!),
  key: env.WECHAT_API_V3_KEY!, // 商户API密钥
};
