import { AlipaySdk } from 'alipay-sdk';
// import { getPayConfig } from '../../../modules/pay-config.ts'
import { payAlipayConfig } from '../../../modules/pay-alipay-config.ts';
export const initSdk = () => {
  const privateKey = payAlipayConfig.privateKey;
  const appPublicCert = payAlipayConfig.appPublicCert;
  const appId = payAlipayConfig.appId;
  const pay_dev = false;
  console.log('payConfig', pay_dev);
  const devConfig = {
    gateway: 'https://openapi-sandbox.dl.alipaydev.com/gateway.do',
  };
  console.log('payConfig', appId);
  // 实例化客户端
  const alipaySdk = new AlipaySdk({
    // // 设置应用 ID
    appId: appId,
    // // 设置应用私钥
    privateKey: privateKey,
    // // 应用公钥证书
    appCertContent: appPublicCert,
    // appCertPath: certPath.appPublicCertPath,
    // // 支付宝根证书
    alipayRootCertContent: payAlipayConfig.alipayRootCert,
    // // 支付宝公钥证书
    alipayPublicCertContent: payAlipayConfig.alipayPublicCert,
    // // 密钥类型，请与生成的密钥格式保持一致，参考平台配置一节
    // // keyType: 'PKCS1',
    keyType: 'PKCS1',
    // // 设置网关地址，默认是 https://openapi.alipay.com
    // // endpoint: 'https://openapi.alipay.com',
    // // endpoint: pay_dev ? devConfig.endpoint : 'https://openapi.alipay.com',
    // gateway: "https://openapi-sandbox.dl.alipaydev.com/gateway.do",
    ...(pay_dev ? devConfig : {}),
  });

  return alipaySdk;
};

export const check = async () => {
  const alipaySdk = initSdk();
  // https://opendocs.alipay.com/open-v3/668cd27c_alipay.user.deloauth.detail.query?pathHash=3ab93168
  const result = await alipaySdk.curl('POST', '/v3/alipay/user/deloauth/detail/query', {
    body: {
      date: '20230102',
      offset: 20,
      limit: 1,
    },
  });

  console.log(result);
};
export const payCheck = async () => {
  const alipaySdk = initSdk();
  const result = alipaySdk.pageExec('alipay.trade.page.pay', {
    bizContent: {
      out_trade_no: '20150320010101003',
      total_amount: '1.88',
      subject: 'Iphone6 16G',
      product_code: 'FAST_INSTANT_TRADE_PAY',
    },
  });
  console.log(result);
};
export const payQueryCheck = async () => {
  const alipaySdk = initSdk();
  const result = alipaySdk.pageExec('alipay.trade.query', {
    bizContent: {
      out_trade_no: '20150320010101003',
    },
  });
  console.log(result);
};
// check()
// payCheck()
// payQueryCheck()
