import { app } from '@/app.ts';
import * as aliPay from './alipay/pay.ts';
// import { TradeModel } from './model.ts'
// https://kevisual.cn/api/router?path=alipay&key=pay

app
  .route({
    path: 'alipay',
    key: 'pay',
    // middleware: ['auth']
  })
  .define(async (ctx) => {
    const { money, subject, out_trade_no } = ctx.query.data || {};
    if (!money || !subject) {
      ctx.throw(400, 'money or subject is required');
    }
    if (isNaN(Number(money))) {
      ctx.throw(400, 'money must be a number');
    }
    const result = await aliPay.pay({
      out_trade_no: out_trade_no || aliPay.genOutTradeNo(),
      money: money,
      subject: subject,
    });
    // TradeModel.create({
    //   out_trade_no: result.content.out_trade_no,
    //   money: money,
    //   subject: subject,
    //   // uid: ctx.state.tokenUser.id
    // })
    ctx.body = result;
  })
  .addTo(app);

console.log('pay alipay加载成功');
