import { payWechatConfig } from '@/modules/pay-wx-config.ts';
import WxPay from '@kevisual/wechatpay'; // 支持使用require

// tsx src/routes/pay/wechatpay/init.ts
export const initSdk = () => {
  const pay = new WxPay(payWechatConfig);
  const sign = (params: any, url = '/v3/pay/transactions/native') => {
    const nonce_str = Math.random().toString(36).substr(2, 15), // 随机字符串
      timestamp = parseInt(+new Date() / 1000 + '').toString(); // 时间戳 秒
    // url = '/v3/pay/transactions/h5'

    // # 获取签名
    const signature = pay.getSignature('POST', nonce_str, timestamp, url, params); //# 如果是get 请求 则不需要params 参数拼接在url上 例如 /v3/pay/transactions/id/12177525012014?mchid=1230000109
    // # 获取头部authorization 参数
    const authorization = pay.getAuthorization(nonce_str, timestamp, signature);
    return {
      nonce_str,
      timestamp,
      authorization,
    };
  };
  const createParams = (amount: number, orderId: string, opts?: any) => {
    return {
      appid: payWechatConfig.appid,
      mchid: payWechatConfig.mchid,
      description: 'Image形象店-深圳腾大-QQ公仔',
      out_trade_no: orderId,
      notify_url: 'https://www.weixin.qq.com/wxpay/pay.php',
      ...opts,
      amount: {
        total: amount,
      },
    };
  };

  return {
    pay,
    createParams,
    sign,
  };
};

export const getPaymentQRCode = async (amount: number, orderId: string, opts?: any) => {
  try {
    const sdk = initSdk();
    const result = await sdk.pay.transactions_jsapi({
      description: '(o^^o)',
      out_trade_no: orderId,
      notify_url: 'https://www.weixin.qq.com/wxpay/pay.php',
      amount: {
        total: amount,
      },
      payer: {
        openid: 'oTgZp5P8Y9QaW0GqJ6b45KksvutI',
      },
      ...opts,
    });
    console.log('GET QR Code URL:', result);
  } catch (error) {
    console.error('Error fetching payment QR code:', error);
    throw error;
  }
};
