import { App } from '@kevisual/router';
import * as redisLib from './modules/redis.ts';
import * as sequelizeLib from './modules/sequelize.ts';
import { useContextKey, useContext } from '@kevisual/use-config/context';
import { SimpleRouter } from '@kevisual/router/simple';
export const router = useContextKey('router', () => new SimpleRouter());
export const redis = useContextKey('redis', () => redisLib.redis);
export const sequelize = useContextKey('sequelize', () => sequelizeLib.sequelize);

const init = () => {
  return new App<{ sequelize: typeof sequelize }>({
    serverOptions: {
      cors: {
        origin: '*',
      },
      // httpType: 'https',
    },
    io: true,
    routerContext: {
      sequelize,
    },
  });
};
export const app = useContextKey('app', init);
