import { app } from '@/app.ts';
import { VipModel } from './models/index.ts';

//
app
  .route({
    path: 'vip',
    key: 'me-vip-list',
    middleware: ['auth'],
  })
  .define(async (ctx) => {
    const tokenUser = ctx.state.tokenUser;
    const vip = await VipModel.findAll({
      where: {
        userId: tokenUser.id,
      },
    });
    ctx.body = {
      list: vip,
    };
  })
  .addTo(app);

app
  .route({
    path: 'vip',
    key: 'me',
    middleware: ['auth'],
  })
  .define(async (ctx) => {
    const category = ctx.query.category;
    const tokenUser = ctx.state.tokenUser;
    if (!category) {
      ctx.throw(400, 'category is required');
    }
    const vip = await VipModel.findOrCreate({
      where: {
        category,
      },
      defaults: {
        userId: tokenUser.id,
        category,
      },
    });
    ctx.body = vip;
  })
  .addTo(app);
